#
# spec file for package emacs-oc-unicode (Version 0.72.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  emacs emacs-x11 xaw3d xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs emacs emacs-x11 file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xshared

Name:         emacs-oc-unicode
Summary:      Unicode and UTF-8 for Emacs
Version:      0.72.2
Release:      148
Group:      Applications/Editors/Emacs
Requires:   emacs
#Provides:   
Copyright:  GPL
URL: http://www.cs.uu.nl/~otfried/Mule/
Source: ftp://ftp.cs.ust.hk/pub/ipe/oc-unicode-%{version}.tar.bz2
Source1: suse-start.el
#Patch:      
%define emacs_sitelisp_dir %{_datadir}/emacs/site-lisp
%define emacs_package_dir %{emacs_sitelisp_dir}/%{name}
BuildRoot:  /var/tmp/%{name}-root

%description
This package offers Unicode encoding for Emacs.  It makes use of
Mule-UCS and allows the user to read and write UTF-8 files.

SuSE series: e

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q -c -n oc-unicode-%{version}
cp -p $RPM_SOURCE_DIR/suse-start.el .
# %patch

%build
# CFLAGS=$RPM_OPT_FLAGS \
# ./configure --prefix=/usr
# make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s
# export LC_CTYPE=ISO-8859-1
# export EMACS_UNIBYTE=1
emacs --no-init --no-site -batch -l oc-comp.el

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   %{INSTALL_DIR} $RPM_BUILD_ROOT%{emacs_package_dir}
fi
# make install prefix=$RPM_BUILD_ROOT/usr
%{INSTALL_DATA} oc-unicode.el oc-charsets.el oc-tools.el \
   $RPM_BUILD_ROOT%{emacs_package_dir}
%{INSTALL_DATA} Mule-UCS-0.72/lisp/*el{,c} $RPM_BUILD_ROOT%{emacs_package_dir}
{
  echo ";; %{emacs_sitelisp_dir}/suse-start-%{name}.el"
  echo ""
  echo "(add-to-list 'load-path \"%{emacs_package_dir}\")"
  echo ""
  cat suse-start.el
  echo ""
  echo ";; %{emacs_sitelisp_dir}/suse-start-%{name}.el ends here"
} > %{buildroot}%{emacs_sitelisp_dir}/suse-start-%{name}.el
# %clean
# rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.TXT *.utf
%doc Mule-UCS-0.72/lisp/README*
%{emacs_package_dir}
%config %{emacs_sitelisp_dir}/suse-start-%{name}.el
# spec file ends here

%changelog -n emacs-oc-unicode
* Tue Sep 04 2001 - mfabian@suse.de
- add entry for new 24 pixel efont-unicode font to
  suse-start-emacs-oc-unicode.el
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Tue Mar 13 2001 - mfabian@suse.de
- change font setup to use efont-unicode for 12, 14, and 16 pixel
  fonts (previously, entries for these sizes were just dummies
  and did specify non-existing fonts).
* Tue Mar 13 2001 - ro@suse.de
- added emacs-x11 to neededforbuild
* Thu Mar 08 2001 - uli@suse.de
- added xshared to neededforbuild
* Sun Jan 21 2001 - mfabian@suse.de
- fixed bug in suse-start-emacs-oc-unicode.el:
  the same fontset was defined twice which caused an error
  When the package ge_site was installed in addition to the
  emacs-oc-unicode package, this prevented the proper startup of
  Emacs, because the ge_site package causes the evaluation of
  all file matching "^suse-start-.*\\.el$" in
  /usr/share/emacs/site-lisp
- renamed the fontsets defined in suse-start-emacs-oc-unicode.el
  The names must be different from the ones defined in
  /usr/X11R6/lib/X11/app-defaults/Emacs to make it possible
  to switch between unicode fonts and "normal" fonts using
  the fontselection menu (Shift-Mouse 1) or
  M-x set-default-font RET name-of-fontset RET
* Mon Nov 20 2000 - ke@suse.de
- Initial package: version 0.72.2.
